Package: org.codehaus.groovy.tools.shell.commands

## [Groovy] Class ImportCompleter

- org.codehaus.groovy.tools.shell.commands.ImportCompleter

- All Implemented Interfaces and Traits:
    Completer

      class ImportCompleter

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Logger` | `log` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Evaluator` | `interpreter`
    `PackageHelper` | `packageHelper`
    `Groovysh` | `shell`
    `boolean` | `staticImport`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ImportCompleter (PackageHelper packageHelper, Evaluator interp, boolean staticImport)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `complete(String buffer, int cursor, List<CharSequence> result)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected final Logger log

  - ### Property Detail

    - #### final Evaluator interpreter

    - #### PackageHelper packageHelper

    - #### Groovysh shell

    - #### final boolean staticImport

  - ### Constructor Detail

    - #### ImportCompleter(PackageHelper packageHelper, Evaluator interp, boolean staticImport)

  - ### Method Detail

    - #### @Override @CompileStatic int complete(String buffer, int cursor, List<CharSequence> result)